// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	チーム名の更新確認
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

class YmsbNowCheck extends YmsbCheck {

	arrJSONNow	= [SbJSON.TXT_NOW_1P,	SbJSON.TXT_NOW_2P];
	arrJSONStar	= [SbJSON.STAR_1P,		SbJSON.STAR_2P];

	constructor(vorhBoxNow, moveBoxNow01, moveBoxNow02, vorhTxt, moveTxt01, moveTxt02, vorhBoxStar, moveBoxStar01, moveBoxStar02) {
		super();
		this.arrNow = new Array(2);
		this.arrNow[0] = new YmsbAnime(1.0, SbCSS.BOX_NOW_1P, SbCSS.TXT_NOW_1P,
							vorhBoxNow, moveBoxNow01, vorhTxt, moveTxt01,
							ANI_DELY_ON_BOX_NOW, ANI_DELY_ON_TXT_NOW);
		this.arrNow[1] = new YmsbAnime(1.0, SbCSS.BOX_NOW_2P, SbCSS.TXT_NOW_2P,
							vorhBoxNow, moveBoxNow02, vorhTxt, moveTxt02,
							ANI_DELY_ON_BOX_NOW, ANI_DELY_ON_TXT_NOW);
		this.arrStar = new Array(2);
		this.arrStar[0] = new YmsbAnime(1.0, SbCSS.BOX_STAR_1P, SbCSS.TXT_STAR_1P,
							vorhBoxStar, moveBoxStar01, YMSB_UP, "0px",
							ANI_DELY_ON_BOX_STAR, ANI_DELY_ON_TXT_STAR);
		this.arrStar[1] = new YmsbAnime(1.0, SbCSS.BOX_STAR_2P, SbCSS.TXT_STAR_2P,
							vorhBoxStar, moveBoxStar02, YMSB_UP, "0px",
							ANI_DELY_ON_BOX_STAR, ANI_DELY_ON_TXT_STAR);
		this.currHide		= YMSB_OFF;
		this.currStarMax	= 0;
		for (let i = 0; i < 2; i++) {
			this.arrStar[i].currData = 0;
		}
	}

	// データ切り分け
	checkData() {
		let newHide		= jsonData[SbJSON.HIDE_NOW_MEMBER];
		let newStarMax	= jsonData[SbJSON.STAR_MAX];

		for (let i = 0; i < 2; i++) {
			let newStar  = jsonData[this.arrJSONStar[i]];
			let newOrder = jsonData[arrJSONOrder[i]];
			let newData;
			if (YMSB_OFF != newHide) {
				newData   = "";
			}
			else if (0 == newOrder) {
				newData = jsonData[this.arrJSONNow[i]];
			}
			else {
				newData = jsonData[arrTxtMemberJSON[i][newOrder - 1]];
			}

			if (
				(YMSB_OFF_ON == currScoreBoard && YMSB_OFF == newHide && "" != newData)
			||  (YMSB_ON     == currScoreBoard && YMSB_ON  == this.currHide && YMSB_OFF == newHide && "" != newData)
			||  (YMSB_ON     == currScoreBoard && YMSB_OFF == this.currHide && YMSB_OFF == newHide && "" != newData && "" == this.arrNow[i].currData)
			) {
				this.arrNow[i].animeOn(newData);
				if (0 <	newStarMax) {
					this.arrStar[i].animeOn(newStar);
				}
			}
			else if (
				(YMSB_ON_OFF == currScoreBoard && YMSB_OFF == this.currHide && "" != this.arrNow[i].currData)
			||  (YMSB_ON     == currScoreBoard && YMSB_OFF == this.currHide && YMSB_ON  == newHide && "" != this.arrNow[i].currData)
			||  (YMSB_ON     == currScoreBoard && YMSB_OFF == this.currHide && YMSB_OFF == newHide && "" != this.arrNow[i].currData && "" == newData)
			) {
				this.arrNow[i].animeOff();
				this.arrStar[i].animeOff();
				this.arrStar[i].currData = 0;
			}
			else if (
				(YMSB_ON == currScoreBoard && YMSB_OFF == this.currHide && YMSB_OFF == newHide)
			) {
				if (("" != this.arrNow[i].currData && "" != newData) && (this.arrNow[i].currData != newData)) { 
					this.arrNow[i].animeUpdate(newData);
				}

				if  (0 == this.currStarMax && 0 < newStarMax && "" != this.arrNow[i].currData) {
					this.arrStar[i].animeOn(newStar);
				}
				else if
					(0 < this.currStarMax && 0 == newStarMax) {
					this.arrStar[i].animeOff();
					this.arrStar[i].currData = 0;
				}
				else if (0 < newStarMax && newStar != this.arrStar[i].currData && "" != this.arrNow[i].currData) {
					this.arrStar[i].animeUpdate(newStar);
				}
				else {
					// nop
				}
			}
			else {
				// nop
			}
		}
	this.currHide		= newHide;
	this.currStarMax	= newStarMax;
	}
}