// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	チーム名の更新確認
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

class YmsbTeamNameCheck extends YmsbCheck {

	arrJSONTeam		= [SbJSON.TEAM_1P, 	SbJSON.TEAM_2P];
	arrJSONLoser	= [SbJSON.LOSER_1P,	SbJSON.LOSER_2P];

	constructor(vorhBox, vorhTxt, moveBox01, moveTxt01, moveBox02, moveTxt02) {
		super();
		this.arrTeam = new Array(2);
		this.arrTeam[0] = new YmsbAnime(1.0, SbCSS.BOX_TEAM_1P, SbCSS.TXT_TEAM_1P,
								vorhBox, moveBox01, vorhTxt, moveTxt01,
								ANI_DELY_ON_BOX_TEAM, ANI_DELY_ON_TXT_TEAM);
		this.arrTeam[1] = new YmsbAnime(1.0, SbCSS.BOX_TEAM_2P, SbCSS.TXT_TEAM_2P,
								vorhBox, moveBox02, vorhTxt, moveTxt02,
								ANI_DELY_ON_BOX_TEAM, ANI_DELY_ON_TXT_TEAM);
		}

	// データ切り分け
	checkData() {
		for (let i = 0; i < 2; i++) {
			let newData = jsonData[this.arrJSONTeam[i]];
			let newLose = jsonData[this.arrJSONLoser[i]];
			if (YMSB_ON == newLose) {
				newData += SB_TXT_LOSERS;
			}

			if (YMSB_OFF_ON == currScoreBoard) {
				this.arrTeam[i].animeOn(newData);
			}
			else if (YMSB_ON_OFF == currScoreBoard) {
				this.arrTeam[i].animeOff();
			}
			else if (YMSB_ON == currScoreBoard) {
				if (this.arrTeam[i].currData != newData) {
					this.arrTeam[i].animeUpdate(newData);
				}
			}
			else { // (YMSB_OFF == currScoreBoard)
				// nop
			}
		}
	}
}